Current-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Issues with NetBSD-5.1, xen and amd64 machines.

On Wed, Sep 21, 2011 at 11:02:49PM -0700, Brian Buhrow wrote:
> Interestingly enough, even though I've built the xen3kernel package
> from pkgsrc on this box, the resultant installed binary, once
> gunzipped, shows as a 32-bit ELF executable.  Shouldn't it be a
> 64-bit executable?

That's a Linux bug. Basically, the multiboot protocol for a long time
only supported 32-bit executables, so they are faking it for 64-bit


Home | Main Index | Thread Index | Old Index